Bootloader branden met usbasp

Zoals de kop aangeeft...

Ik heb alles aan de gang... Hij brand, lampje gaat uit duurt ff dan een foutcode:

avrdude: warning: cannot set sck period. please check for usbasp firmware update.
avrdude: warning: cannot set sck period. please check for usbasp firmware update.
avrdude: warning: cannot set sck period. please check for usbasp firmware update.
avrdude: warning: cannot set sck period. please check for usbasp firmware update.
avrdude: verification error, first mismatch at byte 0x1e000
         0xff != 0x0d
avrdude: verification error; content mismatch

Kan iemand me uitleggen hoe en wat.... Ik wil het graag proberen via usbasp..... Aangezien ik meerdere boarden zal moeten ...

En natuurlijk omdat het zou moeten kunnen

Zoals de fout melding al aangeeft, de firmware van de usbasp is te oud voor avrdude software. Waarom ?, In de oude usbasp software kon de SCK clock rate met een jumper gezet worden. in de nieuwe versie, kan avrdude dat via een commando ook. De update voor usbasp is hier te vinden http://www.fischl.de/usbasp/ Je kunt een arduino als ISP gebruiken voor de update. Op de usbasp moet je dan een jumper (of op de chinese kloon een draad brug) maken, waarmee je de usbasp in een programeer mode zet. Ik heb dit voor mijn betemcu usbasp ook gedaan, De fout meldingen zijn weg, het programmeren met de usbasp werkt. Echter als ik een hele verse atmega328 wil programeren, dan werkt het nog steeds niet. Ik heb daarom nu op de betemcu als nog een jumper bij gemaakt voor slow SCK.

Lees anders dit ook door. http://arduino.cc/forum/index.php/topic,149668.0.html

@ Teding.. Bedankt voor je reactie... Firmware had ik wel up to date Ik wil een mega2650 flashen

Ik zie 3 jumpers... [ 2x draadje en 1x brugje... ] Welke zou het kunnen zijn?

http://www.hobbyking.com/hobbyking/store/__21321__USBasp_AVR_Programming_Device_for_ATMEL_proccessors.html

Dan de volgende hoe weet ik welke versie ik erop heb staan...

Wat je zou kunnen doen is de traces op je print volgen,
De jumper tussen reset en PC6 moet je dan hebben.
Controleren welke versie je nu hebt is niet mogelijk.
Als de lock fuse niet gezet is , zou je wel een upload kunnen maken van je orginele firmeware.

Pfff zware kost.....

Ik ben een newbie..... Wat ik wil is de watchdog werkend te krijgen op mijn solarmeter.... Daarvoor moet de bootloader geupdate worden.. Ik heb meerdere mega's in beheer, dus moet er een hoop doen. Vandaar die usbasp, kost niet alles...En zou makkelijk zijn...

Alleen krijg het niet spits...

Is ergens een stap stap voor dombos... :drooling_face: :drooling_face:

Heb ik het nu gered???

Heb de bootloader hex file geladen vanuit 1.04
Toen write gedaan…

Hoe kan ik het contoleren??
In de bijlage?

Ik denk het niet... Hij is zo dood als een pier.... Kan ik hem op eea manier weer tot leven krijgen??? :cold_sweat: :cold_sweat:

Als je nu een nieuwe bootloader hebt geladen, kun je nu het programma terug zetten
Succes

teding: Als je nu een nieuwe bootloader hebt geladen, kun je nu het programma terug zetten Succes

Als ik dit nu zou snappen.. Ben ik er denk ik.... 8) 8) 8)

Hoe weet ik nu welke bootloader ik erin heb zitten

Je kunt een compare maken van de inhoud mega met de hex file van je nieuwe bootloader Als die gelijk zijn, dan zit hij er echt in.

teding: Je kunt een compare maken van de inhoud mega met de hex file van je nieuwe bootloader Als die gelijk zijn, dan zit hij er echt in.

Tsja. als ik zou snappen wat je typet.....

Maar kan een bootloader ook via een sketch geupdate worden?? http://gammon.com.au/Arduino/Atmega_Board_Programmer.zip

Maar ik was al blij dat ik die hex file via extreme burner avr kon vinden.....[ en na mijn idee erin geschoten heb] Alleen draaide ik daarna een sketch waarmee de watchdog zou moeten werken.. En na een paar uurtjes liep de arduino vast.. als een huis. Dus daar maak ik uit op dat de nieuwe bootloader er niet in zit [ een aanname maar toch ]

Download anders deze software
http://code.google.com/p/home-part/downloads/detail?name=avrdude-GUI-1.0.5.zip&can=2&q=
Deze bied naast read en write ook verify
Is te gebruiken met usbasp of arduino als ISP

Zoek even naar je avrdude files in de bovenste balk
Voorbeeld zoals hij bij mij stond ingesteld
De -B2000 optie is voor lagere SCK clock, als je die nodig hebt

Thanks dit is een handig progje…
Alleen ook hier weer een [ de ] foutmelding…
Die usbASP update… en volgens alles heb ik de laatste…

Dus wat doe ik nu fout…

ScreenShot072.jpg

Net als het programma in je mega voor je zonnepaneel, zit er in de processor van je usbasp ook een programma. Die processor de atmega8 is het kleine broertje van de mega. Deze software is te oud. Omdat de usbasp geen bootloader heeft, kun je die software alleen met een ISP programmeer apparaat veranderen. Je hebt dus een tweede usbasp of een arduino nodig om die software te branden. Dit heeft dus niks met je drivers ect op windows te maken. Die zijn prima.

Zoek op arduinoISP voor voorbeelden om een arduino/mega om te bouwen tot een ISP programmer. Je kunt daarmee ook van een tweede mega de bootloader branden. Succes met je strijd, ik geloof dat je er wel komt.

teding: Net als het programma in je mega voor je zonnepaneel, zit er in de processor van je usbasp ook een programma. Die processor de atmega8 is het kleine broertje van de mega. Deze software is te oud. Omdat de usbasp geen bootloader heeft, kun je die software alleen met een ISP programmeer apparaat veranderen. Je hebt dus een tweede usbasp of een arduino nodig om die software te branden. Dit heeft dus niks met je drivers ect op windows te maken. Die zijn prima.

Zoek op arduinoISP voor voorbeelden om een arduino/mega om te bouwen tot een ISP programmer. Je kunt daarmee ook van een tweede mega de bootloader branden. Succes met je strijd, ik geloof dat je er wel komt.

Dus als ik het goed heb moet ik de "bootloader" van de usbasp updaten??? En dat weer met een mega....? Waar vind ik die software dan weer..?

Het is niet een bootloader, maar gewoon een programma Je kunt vinden in het file usbasp.2011-05-28.tar.gz op de site http://www.fischl.de/usbasp/ Ik denk dat jou usbasp en atmega8 heeft, dus zoek in de map \bin\firmware naar usbasp.atmega8.2011-05-28.hex

De mega die jij gebruikt, is dat de Arduino Mega 2560 ? Zoja dan zou je die kunnen gebruiken om de usbasp van een nieuwe programma te voorzien.

teding: Het is niet een bootloader, maar gewoon een programma Je kunt vinden in het file usbasp.2011-05-28.tar.gz op de site http://www.fischl.de/usbasp/ Ik denk dat jou usbasp en atmega8 heeft, dus zoek in de map \bin\firmware naar usbasp.atmega8.2011-05-28.hex

De mega die jij gebruikt, is dat de Arduino Mega 2560 ? Zoja dan zou je die kunnen gebruiken om de usbasp van een nieuwe programma te voorzien.

Yep een mega 2560... Dus eerst de usbasp updaten met een mega, en dan met de usbasp de mega....

JE maakt het me wel moeilijk....

Maar heb nu beetje door wat ik mis deed...[ pc software of device software.. ]

Dan nog lukt eea me niet zoals ik zou wensen... KAn ik de mega aan een usb. [ compoort hangen ] Dan hoe brand ik de bootloader dan in de usbasp????

Sluit de Mega aan op je computer (usb) Start de arduino IDE, Kies bij Bestand/Voorbeelden het programma ArduinoISP Download die naar de mega. de IDE kun je nu weer sluiten

Kijk eens op deze sitehttp://www.nodo-domotica.nl/index.php/Bootloader_laden Verbind wat draadjes zoals aangeven in de tabel

Op de usbasp moet nog een doorverbinding gemaakt worden. Dan kun je proberen met avrdude-gui verbinding te maken met de usbasp Kies als programmer -ardiuno en selecteer de juiste comport Als device de atmega8 En probeer dan maar een de fuse te lezen.

Usbasp krijg ik niet geflasht…[ lijkt wel of ik bijna ben ]
Rare foutmeldingen

Zelfs met de draadje zoals nodoproject omschrijft foutmelding…

avrdude: Yikes!  Invalid device signature.
         Double check connections and try again, or use -F to override
         this check.

En wat denk je alles dubbel check gedaan…

ScreenShot077.jpg

Nog een paar…